> ## Documentation Index
> Fetch the complete documentation index at: https://developer.vanta.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List discovered vendors

> List discovered vendors.



## OpenAPI

````yaml /reference/manage-vanta.json get /discovered-vendors
openapi: 3.0.0
info:
  title: Manage Vanta
  version: 1.0.0
  description: >-
    The REST API lets customers query and mutate Vanta's data. Use this API to
    automate bulk actions, query data for custom workflows and dashboards, and
    bolster your security operations


    **Note for Vanta Gov (FedRAMP) customers:** Select `Vanta Gov (FedRAMP)`
    from the server dropdown to issue requests against
    `https://api.vanta-gov.com`. The OAuth token URL shown below defaults to the
    commercial host — replace it with `https://api.vanta-gov.com/oauth/token`.
  termsOfService: https://www.vanta.com/terms
  license:
    name: UNLICENSED
  contact:
    name: API Support
    url: https://help.vanta.com/
    email: support@vanta.com
servers:
  - url: https://api.vanta.com/v1
    description: Vanta (Commercial)
  - url: https://api.vanta-gov.com/v1
    description: Vanta Gov (FedRAMP)
security: []
paths:
  /discovered-vendors:
    get:
      tags:
        - Discovered Vendors
      summary: List discovered vendors
      description: List discovered vendors.
      operationId: ListDiscoveredVendors
      parameters:
        - description: Defaults to "NEEDS_REVIEW" if not provided
          in: query
          name: scope
          required: false
          schema:
            $ref: '#/components/schemas/DiscoveredVendorScope'
        - in: query
          name: pageSize
          required: false
          schema:
            $ref: '#/components/schemas/PageSize'
        - in: query
          name: pageCursor
          required: false
          schema:
            $ref: '#/components/schemas/PageCursor'
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedResponse_DiscoveredVendor_'
              examples:
                Example 1:
                  value:
                    results:
                      data:
                        - id: a2f7e1b9d0c3f4e5a6c7b8d8
                          name: Vanta
                          category:
                            name: Engineering
                          source: JAMF
                          normalizedName: vanta
                          discoveredDate: '2024-01-01T00:00:00.000Z'
                          numberOfAccounts: 7
                          ignored:
                            ignoredByUserId: 6626afb14c912f0a50e85619
                            ignoredReason: reason
                            ignoredAtDate: '2024-02-01T00:00:00.000Z'
                          rejected: null
                      pageInfo:
                        hasNextPage: false
                        hasPreviousPage: false
                        startCursor: 6696ea0595df50d5cd6ec3b7
                        endCursor: 6696ece48eb1f98ff3d927c6
      security:
        - bearerAuth: []
components:
  schemas:
    DiscoveredVendorScope:
      description: |-
        The scope of a discovered vendor.
        NEEDS_REVIEW: The vendor needs review
        IGNORED: The vendor was ignored
        REJECTED: The vendor was rejected
      enum:
        - NEEDS_REVIEW
        - IGNORED
        - REJECTED
      type: string
    PageSize:
      type: integer
      format: int32
      default: 10
      description: >-
        Controls the maximum number of items returned in one response from the
        API.
      minimum: 1
      maximum: 100
    PageCursor:
      type: string
      description: >-
        A marker or pointer, telling the API where to start fetching items for
        the subsequent page in a paginated dataset.

        Note that the requested page will not include the item that corresponds
        to this cursor but will start from the one immediately

        after this cursor.
    PaginatedResponse_DiscoveredVendor_:
      properties:
        results:
          properties:
            data:
              items:
                $ref: '#/components/schemas/DiscoveredVendor'
              type: array
            pageInfo:
              $ref: '#/components/schemas/PageInfo'
          required:
            - data
            - pageInfo
          type: object
      required:
        - results
      type: object
      additionalProperties: false
    DiscoveredVendor:
      properties:
        id:
          type: string
          description: The discovered vendor's unique ID.
        name:
          type: string
          description: The discovered vendor's display name .
        normalizedName:
          type: string
          description: >-
            The discovered vendor's vendorNormalized or canonical name. This is
            used to group duplicate vendors together.
        category:
          properties:
            name:
              type: string
          required:
            - name
          type: object
          nullable: true
          description: The discovered vendor's category.
        source:
          $ref: '#/components/schemas/DiscoveredVendorSource'
          description: The discovered vendor's source .
        discoveredDate:
          type: string
          format: date-time
          description: The discovered vendor's imported date.
        numberOfAccounts:
          type: number
          format: double
          description: The number of accounts in the discovered vendor.
        ignored:
          properties:
            ignoredAtDate:
              type: string
              format: date-time
              nullable: true
              description: The date the discovered vendor was marked as ignored.
            ignoredReason:
              type: string
              nullable: true
              description: The reason the discovered vendor was ignored.
            ignoredByUserId:
              type: string
              nullable: true
              description: The user ID who ignored the discovered vendor.
          required:
            - ignoredAtDate
            - ignoredReason
            - ignoredByUserId
          type: object
          nullable: true
          description: Determines whether or not the vendor is ignored.
        rejected:
          properties:
            rejectedByUserId:
              type: string
              nullable: true
              description: The user ID who rejected the discovered vendor.
            rejectedReason:
              type: string
              nullable: true
              description: The reason the discovered vendor was rejected.
            rejectedAtDate:
              type: string
              format: date-time
              nullable: true
              description: The date the discovered vendor was marked as rejected.
          required:
            - rejectedByUserId
            - rejectedReason
            - rejectedAtDate
          type: object
          nullable: true
          description: Determines whether or not the vendor is rejected.
      required:
        - id
        - name
        - normalizedName
        - category
        - source
        - discoveredDate
        - numberOfAccounts
        - ignored
        - rejected
      type: object
      additionalProperties: false
    PageInfo:
      description: Provides information about the pagination of a dataset.
      properties:
        endCursor:
          type: string
          nullable: true
          description: >-
            The cursor that points to the end of the current page, or null if
            there is no such cursor.
        hasNextPage:
          type: boolean
          description: Indicates if there is another page after the current page.
        hasPreviousPage:
          type: boolean
          description: Indicates if there is a page before the current page.
        startCursor:
          type: string
          nullable: true
          description: >-
            The cursor that points to the start of the current page, or null if
            there is no such cursor.
      required:
        - endCursor
        - hasNextPage
        - hasPreviousPage
        - startCursor
      type: object
      additionalProperties: false
    DiscoveredVendorSource:
      description: |-
        The source of the discovered vendor.
        OKTA: The vendor was discovered via an Okta integration
        JAMF: The vendor was discovered via a JAMF integration
        GSUITE: The vendor was discovered via an GSuite integration
        VENDR: The vendor was discovered via a Vendr integration
        OFFICE: The vendor was discovered via a microsoft office integration
      enum:
        - OKTA
        - JAMF
        - GSUITE
        - VENDR
        - OFFICE
      type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````